{
  "codeName" : "GuideViewForm",
  "controlType" : "FORM",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSFORMS/GuideViewForm.json",
  "formFuncMode" : "WIZARDFORM",
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "SAVE", "LOAD" ],
  "logicName" : "向导表单-查看图书",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "SAVE",
    "logicTag" : "wizardpanel_form_FirstForm",
    "logicType" : "CUSTOM",
    "name" : "wizardpanel_formsave"
  }, {
    "eventNames" : "LOAD",
    "logicTag" : "wizardpanel_form_FirstForm",
    "logicType" : "CUSTOM",
    "name" : "wizardpanel_formload"
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "ibizbookname",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "id" : "author",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "AUTHOR",
      "codeName" : "Author"
    }
  }, {
    "id" : "booknumber",
    "dataType" : 9,
    "getPSAppDEField" : {
      "name" : "BOOKNUMBER",
      "codeName" : "Booknumber"
    }
  }, {
    "id" : "press",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PRESS",
      "codeName" : "Press"
    }
  }, {
    "id" : "price",
    "dataType" : 7,
    "getPSAppDEField" : {
      "name" : "PRICE",
      "codeName" : "Price"
    }
  }, {
    "id" : "stepstatus",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "STEPSTATUS",
      "codeName" : "Stepstatus"
    }
  }, {
    "id" : "ibizbookid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "getCapPSLanguageRes" : {
      "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.GUIDEVIEWFORM.FORMPAGE.FORMPAGE1"
    },
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.GUIDEVIEWFORM.GROUPPANEL.GROUP1"
      },
      "caption" : "图书基本信息",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZBOOKNAME"
        },
        "caption" : "图书名称",
        "codeName" : "ibizbookname",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ibizbookname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKNAME",
          "codeName" : "IBIZBOOKName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "ibizbookname"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 8,
          "colXS" : 8,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : false,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.AUTHOR"
        },
        "caption" : "图书作者",
        "codeName" : "author",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "author",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "AUTHOR",
          "codeName" : "Author"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "author"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 8,
          "colXS" : 8,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.BOOKNUMBER"
        },
        "caption" : "图书数量",
        "codeName" : "booknumber",
        "dataType" : 9,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "booknumber",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "BOOKNUMBER",
          "codeName" : "Booknumber"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "booknumber"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 8,
          "colXS" : 8,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.PRESS"
        },
        "caption" : "图书出版社",
        "codeName" : "press",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "press",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "PRESS",
          "codeName" : "Press"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "press"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 8,
          "colXS" : 8,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.PRICE"
        },
        "caption" : "图书价格",
        "codeName" : "price",
        "dataType" : 7,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "price",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "PRICE",
          "codeName" : "Price"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "price",
          "precision" : 2
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 8,
          "colXS" : 8,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.STEPSTATUS"
        },
        "caption" : "步骤",
        "codeName" : "stepstatus",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "stepstatus",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "STEPSTATUS",
          "codeName" : "Stepstatus"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "stepstatus"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 8,
          "colXS" : 8,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZBOOKID"
        },
        "caption" : "图书标识",
        "codeName" : "ibizbookid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ibizbookid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKID",
          "codeName" : "IBIZBOOKId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "ibizbookid"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSDEWizardForm" : {
    "formTag" : "FirstForm",
    "name" : "步骤一",
    "getPSDEFormName" : "向导表单-查看图书",
    "getPSDEWizardStep" : {
      "modelref" : true,
      "id" : "查看图书"
    },
    "stepActions" : [ "NEXT" ],
    "firstForm" : true
  },
  "getPSLayout" : {
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "noTabHeader" : true,
  "modelid" : "577b07b79a932f1746e768c030277ae8",
  "modeltype" : "PSDEFORM_EDITFORM"
}